Subject: Re: Job | Customer Support Exective
From: Subham Kumar <[email-masked]>
To: [email-masked]
Date: Fri, 23 Oct 2020 15:29:42 +0530

Not able to view Details? Learn More

Job Title
Job | Customer Support Exective

114 Applicants

View All

Subham Kumar
I have the experience of blended process(call+email). I have been part of the Tech Mahindra since January 2019 to march 2020 and now I am looking for a job in blended process either domestic or international.

Shortlist

Reject

Current Designation Customer Relationship Manager
Current Company TechMahindra
Notice Period 15 Days or less
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
1 Yr

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Noida, Delhi / NCR
Education
B.Sc
singhania university, jhunjhunu
Key Skills
good english communication with fluently.

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem